/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package p4uclient;

import java.util.Vector;

/**
 * タスク全体の管理
 * @author tondol
 */
public class TaskManager {
    private Vector<TaskAbstract> tasks = null;
    
    public TaskManager() {
        tasks = new Vector<TaskAbstract>();
    }
    
    public void close() throws Exception {
        clearItem();
    }
    
    /**
     * タスク操作
     */
    public void addItem(TaskAbstract task) {
        tasks.add(task);
    }
    
    public void deleteItem(TaskAbstract task) throws Exception {
        tasks.remove(task);
        task.close();
    }
    
    public void clearItem() throws Exception {
        while (!tasks.isEmpty()) {
            int index = tasks.size() - 1;
            deleteItem(tasks.get(index));
        }
    }
}
